# img2google

img2google - Create Google Earth KML overlay tiles from bathymetry Mercator img grid

## Synopsis

img2google -R region [ imgfile ] [ -A mode[altitude] ] [ -C ] [ -F fademin/fademax ] [ -G prefix ] [ -L LODmin/LODmax ] [ -N layername ] [ -T doctitle ] [ -U URL ] [ -V[level] ] [ -Z ] [ --PAR=value ]

## Description

img2google is a shell script that reads a 1x1 minute Mercator surface relief img file and creates a Google Earth overlay KML file and associated PNG tile for the specified region. If no input file is given we use topo.18.1.img.

-R west/east/south/north[/zmin/zmax][+r][+u unit]

  west, east, south, and north specify the region of interest, and you may specify them in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format Append +r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Set geographic regions by specifying ISO country codes from the Digital Chart of the World using -R code1,code2,…[+r|R[incs]] instead: Append one or more comma-separated countries using the 2-character ISO 3166-1 alpha-2 convention. To select a state of a country (if available), append .state, e.g, US.TX for Texas. To specify a whole continent, prepend = to any of the continent codes AF (Africa), AN (Antarctica), AS (Asia), EU (Europe), OC (Oceania), NA (North America), or SA (South America). Use +r to modify the bounding box coordinates from the polygon(s): Append inc, xinc/yinc, or winc/einc/sinc/ninc to adjust the region to be a multiple of these steps [no adjustment]. Alternatively, use +R to extend the region outward by adding these increments instead, or +e which is like +r but it ensures that the bounding box extends by at least 0.25 times the increment [no extension]. Alternatively for grid creation, give R code lon/lat/nx/ny, where code is a 2-character combination of L, C, R (for left, center, or right) and T, M, B for top, middle, or bottom. e.g., BL for lower left. This indicates which point on a rectangular region the lon/lat coordinate refers to, and the grid dimensions nx and ny with grid spacings via -I is used to create the corresponding region. Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing and registration, if applicable) are copied from the grid. Appending +u unit expects projected (Cartesian) coordinates compatible with chosen -J and we inversely project to determine actual rectangular geographic region. For perspective view (-p), optionally append /zmin/zmax. In case of perspective view (-p), a z-range (zmin, zmax) can be appended to indicate the third dimension. This needs to be done only when using the -Jz option, not when using only the -p option. In the latter case a perspective view of the plane is plotted, with no third dimension.

## Options

imgfile

  An img format bathymetry/topography file such as those created by Sandwell and Smith. If this files does not exist in the current directory and the user has set the environment variable $GMT_DATADIR, then img2grd will try to find imgfile in $GMT_DATADIR.

-A

  Selects one of 5 altitude modes recognized by Google Earth that determines the altitude (in m) of the image: G clamped to the ground, g append altitude relative to ground, a append absolute altitude, s append altitude relative to seafloor, and S clamp it to the seafloor [Default].

-C

  Turn on clipping so that only portions below sea level will be visible in the image [no clipping].

-F

  Sets the distance over which the geometry fades, from fully opaque to fully transparent. These ramp values, expressed in screen pixels, are applied at the minimum and maximum end of the LOD (visibility) limits, respectively. [no fading (0/0)].

-G

  Specify the prefix for the output image file (the extensions are set automatically). Default uses the naming topoN|S<north>E|W<west>.

-L

  Measurement in screen pixels that represents the minimum limit of the visibility range for a given Region Google Earth calculates the size of the Region when projected onto screen space. Then it computes the square root of the Region’s area (if, for example, the Region is square and the viewpoint is directly above the Region, and the Region is not tilted, this measurement is equal to the width of the projected Region). If this measurement falls within the limits defined by LODmin and LODmax (and if the region is in view), the Region is active. If this limit is not reached, the associated geometry is considered to be too far from the user’s viewpoint to be drawn. LODmax represents the maximum limit of the visibility range for a given Region. A value of 1, the default, indicates “active to infinite size.” [always active].

-N

  Append the layername of the image (use quotes if strings contain spaces) [topoN|S<north>E|W<west>].

-T

  Append the document title (use quotes if strings contain spaces) [“Predicted bathymetry”].

-U

  By default, images are referenced locally relative to the KML file. Specify an URL to prepend a server address to the image name reference [local].

-V[level] (more …)

  Select verbosity level [w].

-Z

  Uses zip (which must be installed) to create a *.kmz file for easy distribution; append + to delete the KML and PNG file after zipping [No zipping].

## Examples

To create a 10x10 degree Google Earth KML tile for the region -R170/180/20/30 using the default topo.18.1.img and output naming convention, try

>     img2google -R170/180/20/30

To make the same tile with a previous file such as topo.15.1.img, run in verbose mode, clip so only oceanic areas are visible, name the output oldimage, specify the KML metadata directly (including setting the image altitude to 10 km), and make a single *.kmz file, try

>     img2google topo.15.1.img -R170/180/20/30 -Aa10000 -C -Goldimage \
>     -N"My KML title" -T"My KML title" -Uhttp://my.server.com/images -V -Z

## DATA SETS

For topo.18.1.img and other Sandwell/Smith altimetry-derived Mercator grids, visit http://topex.ucsd.edu.

## SEE ALSO

gmt img2grd, psconvert